$PRIVY is live -

Skip to content
Docs

API reference

Points

Your points total, volume and rank.

Points summary

GET/api/v1/pointsAPI key

Points are earned at 50 per USD of executed volume.

Response

  • totalPointsnumber

    Points earned.

  • volumeUsdstring

    Executed USD volume counted for points.

  • completedSwapsinteger

    Swaps that earned points.

  • rankintegernullable

    Leaderboard rank, or null with no points yet.

  • participantsinteger

    Accounts on the leaderboard.

  • pointsPerUsdinteger

    Current earn rate.

curl "https://privy.ac/api/v1/points" \
  -H "X-API-Key: $PRIVY_API_KEY"

Try it

Sends a real request
Example response
{
  "data": {
    "totalPoints": 8156.5,
    "volumeUsd": "163.13",
    "completedSwaps": 17,
    "rank": 1,
    "participants": 1,
    "pointsPerUsd": 50
  },
  "requestId": "req_8f3a2c91d4e6b07f"
}